Bug 816137 - Review Request: jboss-web-native - JBoss Web Native
Review Request: jboss-web-native - JBoss Web Native
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Juan Hernández
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 06:34 EDT by Marek Goldmann
Modified: 2012-05-04 18:52 EDT (History)
3 users (show)

See Also:
Fixed In Version: jboss-web-native-2.0.10-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-04 18:52:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
juan.hernandez: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marek Goldmann 2012-04-25 06:34:19 EDT
Spec URL: http://goldmann.fedorapeople.org/package_review/jboss-web-native/2.0.10-1/jboss-web-native.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/jboss-web-native/2.0.10-1/jboss-web-native-2.0.10-1.fc17.src.rpm
Description: This package contains support for Apache Portable Runtime (APR) in JBoss AS
Comment 1 Marek Goldmann 2012-04-25 06:36:17 EDT
Scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=4021543
Comment 2 Mikolaj Izdebski 2012-04-25 10:04:57 EDT
I'll take this review.
Comment 3 Juan Hernández 2012-04-25 11:09:06 EDT
I agreed with Mikolaj that I will do this review.
Comment 4 Juan Hernández 2012-04-25 12:52:39 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[!]  Rpmlint output:

Output of rpmlint of the source package:

rpmlint jboss-web-native-2.0.10-1.fc17.src.rpm 
jboss-web-native.src: W: invalid-url URL: http://www.jboss.org/ HTTP Error 403: Forbidden
jboss-web-native.src:55: W: configure-without-libdir-spec
jboss-web-native.src: W: invalid-url Source1: jboss-web-native-2.0.10.Final.tar.xz
jboss-web-native.src: W: invalid-url Source0: http://downloads.jboss.org/jbossnative/2.0.10/jboss-native-2.0.10-src-ssl.tar.gz HTTP Error 404: Not Found
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

The first URL warning is acceptable, but apparently the second URL
is incorrect. It should be the following (at least at the time of
this review, note the GA after the version number):

http://downloads.jboss.org/jbossnative/2.0.10.GA/jboss-native-2.0.10-src-ssl.tar.gz

The "configure-without-libdir-spec" is a consecuence of using
configure instead of the %configure macro.

Output of rpmlint of the binary package:

$ rpmlint jboss-web-native-2.0.10-1.fc18.x86_64.rpm
jboss-web-native.x86_64: W: invalid-url URL: http://www.jboss.org/ HTTP Error 403: Forbidden
jboss-web-native.x86_64: E: no-binary
jboss-web-native.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 1 errors, 2 warnings.

There are no binaries in the package because the .so file is
inside a .jar file. I think that this .so should be moved out of
that .jar file and placed in the /lib directory.

However there are other packages doing this, so this shouln't
block the review.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.

Koji build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4022232

[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[!]  License field in the package spec file matches the actual license.

License type: LGPLv2+

This package is only using sources from the
"srclib/tomcat-native-1.1.22" directory which state a mix of GPLv2
and ASL 2.0, so I think that the license should be "GPLv2 and ASL
2.0".

[-]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[-]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.

Checked using a recursive diff of the sources.

[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[-]  Javadoc documentation files are generated and included in -javadoc subpackage
[-]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[-]  Packages have proper BuildRequires/Requires on jpackage-utils
[-]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[-]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[-]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.

Tested on:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4022232


=== Issues ===
1. The Source0 URL is not correct.
2. Use %configure, if possible.
3. Extract the .so file from the .jar and install it in /lib
4. License should be "GPLv2 and ASL 2.0".

=== Final Notes ===
In addition to the issues above I think that all the maven stuff
in this package can be removed (dependencies on jpackage-utils,
dependencies map, etc), unless you want to keep them for other
packages that depend on this one.


[1] https://fedoraproject.org/wiki/Packaging:NamingGuidelines
[2] https://fedoraproject.org/wiki/Packaging:Guidelines
[3] https://fedoraproject.org/wiki/Packaging:LicensingGuidelines
[4] https://fedoraproject.org/wiki/Licensing:Main
[5] https://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2 
[6] https://fedoraproject.org/wiki/Packaging:Java#Filenames
Comment 5 Marek Goldmann 2012-04-26 09:14:36 EDT
Spec URL:
http://goldmann.fedorapeople.org/package_review/jboss-web-native/2.0.10-2/jboss-web-native.spec
SRPM URL:
http://goldmann.fedorapeople.org/package_review/jboss-web-native/2.0.10-2/jboss-web-native-2.0.10-2.fc17.src.rpm

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4024689

Changes:

- Removed jar, it's not necessary
- Renamed produced files to jbnative

Juan, thank you very much for help on this spec file!
Comment 6 Juan Hernández 2012-04-26 09:18:52 EDT
I think that all the issues have been addressed. Thank you very much Marek!

================
*** APPROVED ***
================
Comment 7 Marek Goldmann 2012-04-26 09:30:29 EDT
Thank you!

New Package SCM Request
=======================
Package Name:      jboss-web-native
Short Description: JBoss Web Native
Owners:            goldmann
Branches:          f17
Comment 8 Gwyn Ciesla 2012-04-26 09:47:36 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-04-26 10:16:27 EDT
jboss-web-native-2.0.10-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jboss-web-native-2.0.10-2.fc17
Comment 10 Fedora Update System 2012-04-26 15:29:04 EDT
jboss-web-native-2.0.10-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 11 Fedora Update System 2012-05-04 18:52:25 EDT
jboss-web-native-2.0.10-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.